petsc-3.4.2 2013-07-02

# DMLocalToGlobalBeginDefaultShell

Uses the LocalToGlobal VecScatter context set by the user to begin a local to global scatter Collective

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMLocalToGlobalBeginDefaultShell(DM dm,Vec l,InsertMode mode,Vec g)

### Input Arguments

| dm | - shell DM
| l | - local vector
| mode | - InsertMode
| g | - global vector

Note: This is not normally called directly by user code, generally user code calls DMLocalToGlobalBegin() and DMLocalToGlobalEnd(). If the user provides their own custom routines to DMShellSetLocalToGlobal() then those routines might have reason to call this function.

### See Also

DMLocalToGlobalEndDefaultShell()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages